%define oname   syntax

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 8
Summary:    Syntax is Ruby library for performing simple syntax highlighting
Group:      Development/Ruby
License:    BSD
URL:        http://rubygems.org/gems/syntax/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     syntax-1.0.0-missing-section.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Syntax is Ruby library for performing simple syntax highlighting.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/data
%{gem_instdir}/test
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.0.0-8.mga4
+ Revision: 562506
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 1.0.0-7.mga4
+ Revision: 539018
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 1.0.0-6.mga4
+ Revision: 491210
- update file list

* Fri Feb 08 2013 umeabot <umeabot> 1.0.0-6.mga3
+ Revision: 396529
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-5.mga3
+ Revision: 381527
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.0.0-4.mga3
+ Revision: 313980
- fix missing sections
- rebuild for new ruby

* Wed Jan 26 2011 shikamaru <shikamaru> 1.0.0-3.mga1
+ Revision: 39706
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 1.0.0-2.mga1
+ Revision: 36114
- imported package ruby-syntax


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.0-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Sat Oct 09 2010 Rémy Clouard <shikamaru@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 584340
- import rubygem-syntax

